--- title: "Preview model" slug: "apigateway-postmodelpreview" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-postmodelpreview" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Preview model Available in Classic and VPC Preview the operation status of the body model you created. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | POST | /api/v1/products/{product-id}/apis/{api-id}/models/preview | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the API belongs to - 1 - 10 - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API whose model you want to preview - 1 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | ### Request syntax The request syntax is as follows. ``` { "modelId" : "modelId", "modelSchema" : "modelSchema" } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `modelId` | String | Optional | Target model IDSee [View model](/docs/en/apigateway-getmodels) | | `modelSchema` | String | Required | Schema of the defined modelSee [View model](/docs/en/apigateway-getmodels) | ### Request example The following is a sample request. ``` curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/models/preview' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "modelId" : "qw33h0i33i", "modelSchema" : "{\n \"type\": \"object\",\n \"properties\": {\n \"apiKeyDescription\": { \"type\": \"string\" },\n \"apiKeyId\": { \"type\": \"string\" },\n \"apiKeyName\": { \"type\": \"string\" }\n },\n \"description\": \"model description\"\n}\n" }' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "modelSchema" : {} } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "modelSchema": { "type": "object", "properties": { "apiKeyDescription": { "type": "string" }, "apiKeyId": { "type": "string" }, "apiKeyName": { "type": "string" } }, "description": "model description" } } ```